Plugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.Plugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class Plugin

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.product.Plugin

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class Plugin

extends PersistedObject
implements ContainerManagedTimestampTrackable

Plugin generated by hbm2java

See Also:
  Serialized Form

Constructor Summary
`Plugin()` default constructor
`Plugin(PluginValue pv)`

Method Summary
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`boolean` | `equals(java.lang.Object obj)`
`long` | `getCreationTime()`
`long` | `getCtime()` Deprecated. use getCreationTime()
`java.lang.String` | `getMD5()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`PluginValue` | `getPluginValue()` Deprecated. use (this) Plugin object
`int` | `hashCode()`
`void` | `setCreationTime(long ctime)`
`void` | `setCtime(long cTime)` Deprecated. use setCreationTime()
`void` | `setMD5(java.lang.String md5)`
`void` | `setName(java.lang.String name)`
`void` | `setPath(java.lang.String path)`
`void` | `setPluginValue(PluginValue valueHolder)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Plugin

    public Plugin()

  default constructor

### Plugin

    public Plugin(PluginValue pv)

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `false` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getMD5

    public java.lang.String getMD5()

### setMD5

    public void setMD5(java.lang.String md5)

### getCreationTime

    public long getCreationTime()

### setCreationTime

    public void setCreationTime(long ctime)

### getCtime

    public long getCtime()

  Deprecated. use getCreationTime()

### setCtime

    public void setCtime(long cTime)

  Deprecated. use setCreationTime()

  Parameters:
    `cTime` -

### getPluginValue

    public PluginValue getPluginValue()

  Deprecated. use (this) Plugin object

  Returns:

### setPluginValue

    public void setPluginValue(PluginValue valueHolder)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.